Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class CharArrayBuilder

    java.lang.Object
      com.servingxml.util.CharArrayBuilder

    public class CharArrayBuilder

extends java.lang.Object

Constructor Summary
`CharArrayBuilder()`
`CharArrayBuilder(int capacity)`

Method Summary
`void` | `append(char b)`
`void` | `append(char[] charArray)`
`void` | `append(char[] charArray, int start, int len)`
`int` | `append(java.io.Reader is, int count)`
`char[]` | `buffer()`
`void` | `clear()`
`void` | `grow(int n)`
`int` | `length()`
`void` | `prepend(char[] charArray, int start, int len)`
`void` | `put(int start, char[] charArray)`
`void` | `put(int start, char[] charArray, char padChar)`
`int` | `start()`
`char[]` | `toCharArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharArrayBuilder

    public CharArrayBuilder()

### CharArrayBuilder

    public CharArrayBuilder(int capacity)

Method Detail

### buffer

    public char[] buffer()

### length

    public int length()

### start

    public int start()

### clear

    public void clear()

### grow

    public final void grow(int n)

### append

    public void append(char b)

### put

    public void put(int start,
                    char[] charArray)

### put

    public void put(int start,
                    char[] charArray,
                    char padChar)

### append

    public void append(char[] charArray)

### append

    public void append(char[] charArray,
                       int start,
                       int len)

### append

    public int append(java.io.Reader is,
                      int count)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### prepend

    public void prepend(char[] charArray,
                        int start,
                        int len)

### toCharArray

    public char[] toCharArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD